Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
ai_optimization
/
gemini
/
llm_scraper
/
live
/
advanced
Live Gemini LLM Scraper Advanced
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/gemini/llm_scraper/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.keyword": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.model": "<string>",
  "tasks.result.datetime": "<string>",
  "tasks.result.markdown": "<string>",
  "tasks.result.sources": [
    "<string>"
  ],
  "tasks.result.sources.type": "<string>",
  "tasks.result.sources.title": "<string>",
  "tasks.result.sources.snippet": "<string>",
  "tasks.result.sources.domain": "<string>",
  "tasks.result.sources.url": "<string>",
  "tasks.result.sources.thumbnail": "<string>",
  "tasks.result.sources.source_name": "<string>",
  "tasks.result.sources.publication_date": "<string>",
  "tasks.result.sources.markdown": "<string>",
  "tasks.result.se_results_count": 123,
  "tasks.result.item_types": [
    "<string>"
  ],
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.gemini_text": {},
  "tasks.result.items.gemini_text.type": "<string>",
  "tasks.result.items.gemini_text.rank_group": 123,
  "tasks.result.items.gemini_text.rank_absolute": 123,
  "tasks.result.items.gemini_text.markdown": "<string>",
  "tasks.result.items.gemini_text.original_text": "<string>",
  "tasks.result.items.gemini_text.sources": [
    "<string>"
  ],
  "tasks.result.items.gemini_text.sources.type": "<string>",
  "tasks.result.items.gemini_text.sources.title": "<string>",
  "tasks.result.items.gemini_text.sources.snippet": "<string>",
  "tasks.result.items.gemini_text.sources.domain": "<string>",
  "tasks.result.items.gemini_text.sources.url": "<string>",
  "tasks.result.items.gemini_text.sources.thumbnail": "<string>",
  "tasks.result.items.gemini_text.sources.source_name": "<string>",
  "tasks.result.items.gemini_text.sources.publication_date": "<string>",
  "tasks.result.items.gemini_text.sources.markdown": "<string>",
  "tasks.result.items.gemini_table": {},
  "tasks.result.items.gemini_table.type": "<string>",
  "tasks.result.items.gemini_table.rank_group": 123,
  "tasks.result.items.gemini_table.rank_absolute": 123,
  "tasks.result.items.gemini_table.markdown": "<string>",
  "tasks.result.items.gemini_table.original_text": "<string>",
  "tasks.result.items.gemini_table.table": {},
  "tasks.result.items.gemini_table.table.table_header": [
    "<string>"
  ],
  "tasks.result.items.gemini_table.table.table_content": [
    "<string>"
  ],
  "tasks.result.items.gemini_images": {},
  "tasks.result.items.gemini_images.type": "<string>",
  "tasks.result.items.gemini_images.rank_group": 123,
  "tasks.result.items.gemini_images.rank_absolute": 123,
  "tasks.result.items.gemini_images.markdown": "<string>",
  "tasks.result.items.gemini_images.items": [
    "<string>"
  ],
  "tasks.result.items.gemini_images.items.type": "<string>",
  "tasks.result.items.gemini_images.items.url": "<string>",
  "tasks.result.items.gemini_images.items.alt": "<string>",
  "tasks.result.items.gemini_images.items.image_url": "<string>",
  "tasks.result.items.gemini_images.items.markdown": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

keyword required field you can specify up to 2000 characters in the keyword field all %## will be decoded (plus character ‘+’ will be decoded to a space character) if you need to use the “%” character for your keyword, please specify it as “%25”; if you need to use the “+” character for your keyword, please specify it as “%2B”learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of search engine location required field if you don't specify location_code if you use this field, you don't need to specify location_code you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/locations example: United States

location_code
integer
required

search engine location code required field if you don't specify location_name if you use this field, you don't need to specify location_name you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/locations example: 2840

language_name
string
required

full name of search engine language required field if you don't specify language_code; if you use this field, you don't need to specify language_code; you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/languages example: English

language_code
string
required

search engine language code required field if you don't specify language_name; if you use this field, you don't need to specify language_name; you can receive the list of available languages of the search engine with their language_code_by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/languages example: enn

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.keyword
string

keyword received in a POST array the keyword is returned with decoded %## (plus symbol '+' will be decoded to a space character)

tasks.result.location_code
integer

location code in a POST array

tasks.result.language_code
string

language code in a POST array

tasks.result.model
string

indicates the model version

tasks.result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.sources
string[]

array of sources the sources the model actually cited or relied on in its final answer

tasks.result.sources.type
string

type of element='gemini_source'

tasks.result.sources.title
string

source title

tasks.result.sources.snippet
string

source description

tasks.result.sources.domain
string

source domain

tasks.result.sources.url
string

source URL

tasks.result.sources.thumbnail
string

source thumbnail

tasks.result.sources.source_name
string

source name

tasks.result.sources.publication_date
string

date and time when the result was published in the format: “year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes” example: 2019-11-15 12:57:46 +00:00

tasks.result.sources.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.se_results_count
integer

total number of results

tasks.result.item_types
string[]

types of search results contains types of search results (items) found in SERP. possible item types: gemini_text, gemini_table, gemini_images

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

elements of Gemini results

tasks.result.items.gemini_text
object

element in the response

tasks.result.items.gemini_text.type
string

type of element='gemini_text'

tasks.result.items.gemini_text.rank_group
integer

group rank in SERP position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

tasks.result.items.gemini_text.rank_absolute
integer

absolute rank in SERP absolute position among all the elements in SERP

tasks.result.items.gemini_text.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.items.gemini_text.original_text
string

unformatted text content of the element

tasks.result.items.gemini_text.sources
string[]

array of sources

tasks.result.items.gemini_text.sources.type
string

type of element='gemini_source'

tasks.result.items.gemini_text.sources.title
string

source title

tasks.result.items.gemini_text.sources.snippet
string

source description

tasks.result.items.gemini_text.sources.domain
string

source domain in SERP

tasks.result.items.gemini_text.sources.url
string

source URL

tasks.result.items.gemini_text.sources.thumbnail
string

source thumbnail

tasks.result.items.gemini_text.sources.source_name
string

source name

tasks.result.items.gemini_text.sources.publication_date
string

date and time when the result was published in the format: “year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.gemini_text.sources.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.items.gemini_table
object

element in the response

tasks.result.items.gemini_table.type
string

type of element='gemini_table'

tasks.result.items.gemini_table.rank_group
integer

group rank in SERP position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

tasks.result.items.gemini_table.rank_absolute
integer

absolute rank in SERP absolute position among all the elements in SERP

tasks.result.items.gemini_table.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.items.gemini_table.original_text
string

unformatted text content of the element

tasks.result.items.gemini_table.table
object

table present in the element the header and content of the table present in the element

tasks.result.items.gemini_table.table.table_header
string[]

content in the header of the table

tasks.result.items.gemini_table.table.table_content
string[]

array of contents of the table present in the element each array represents the table row

tasks.result.items.gemini_images
object

element in the response

tasks.result.items.gemini_images.type
string

type of element='gemini_images'

tasks.result.items.gemini_images.rank_group
integer

group rank in SERP position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

tasks.result.items.gemini_images.rank_absolute
integer

absolute rank in SERP absolute position among all the elements in SERP

tasks.result.items.gemini_images.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.items.gemini_images.items
string[]

items present in the element

tasks.result.items.gemini_images.items.type
string

type of element = 'gemini_images_element'

tasks.result.items.gemini_images.items.url
string

relevant URL

tasks.result.items.gemini_images.items.alt
string

alt tag of the image

tasks.result.items.gemini_images.items.image_url
string

URL of the image the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available)

tasks.result.items.gemini_images.items.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language